Subject: Re: bug#20744: shell-quote-argument in Emacs 24.5 and Emacs 25 on Windows cannot figure out path correctly

From: Glenn Morris <[email-masked]>
Date: Sun, 07 Jun 2015 14:01:31 -0400

Eli Zaretskii wrote:

> I'm sorry, but I don't see how we can accept such a change: it means
> that when the Cygwin Bash is used as the shell, the ':' character will
> not be quoted, which I think could cause trouble in some cases.
>
> Maybe some Bash expert could chime in and tell whether problems are
> possible with Bash in this case.

Not an expert (and didn't read the rest of the report), but I can't
think of a reason why ':' would need quoting in Bash (unlike eg ';' or '&').
What kind of thing are you thinking of?